• Welcome
  • API Reference
Precipitation Data
    Daily Precipitation DatagetHourly Precipitation DatagetLast N Hours Precipitation DatagetRecent Rain Eventget
Soil Data
    Daily Soil MoisturegetHourly Soil MoisturegetSoil TemperaturegetSnow Depthget
Atmospheric Data
    Air TemperaturegetSpecific HumiditygetRelative HumiditygetWind SpeedgetWind GustsgetWind DirectiongetCloud CovergetSolar Radiationget
Bulk Export
    Create Bulk Exportpost
Map Services
    Esri Image Server IntegrationgetMap Layer TilesgetQueryget
Embed Widgets
    Embeddable HTML UIget
MCP Servers
    MCP ServerpostMCP Server (x402 Pay-per-use)post
Other endpoints
    Redirect to Dev PortalgetRedirect to new Dev PortalgetHourly Precipitation Data (x402)getLast N Hours Precipitation Data (x402)getRecent Rain Event (x402)getDaily Soil Moisture (x402)getHourly Soil Moisture (x402)getHourly Soil Temperature 0-10cm (x402)getHourly Air Temperature (x402)getHourly Specific Humidity (x402)getHourly Relative Humidity (x402)getHourly Wind Speed (x402)getHourly Wind Gust Speed (x402)getHourly Wind Direction (x402)getHourly Cloud Cover (x402)getHourly Solar Radiation (x402)getx402 (GET) via Orthogonalgetx402 (POST) via Orthogonalpost
Schemas
powered by Zuplo
Precipitation & Weather Data API
Precipitation & Weather Data API

Map Services

Endpointhttps://api.precip.ai

Map tile and visualization services


Esri Image Server Integration

GET
https://api.precip.ai
/api/v1/map/{serviceName}/ImageServer

Image Service compatible with Esri products. This url eg https://api.precip.ai/api/v1/map/last-48/ImageServer (or last-12, last-24, last-168) can be added to ArcGIS Online, ArcGIS Pro or QGIS to load raster tiles. ArcGIS cannot send custom headers; use the apiKey query parameter instead of Authorization header, e.g. .../ImageServer?f=json&apiKey=YOUR_API_KEY.

Esri Image Server Integration › path Parameters

serviceName
​string · required

The layer or service name.

  • last-12 - total precipitation in the last 12 hours
  • last-24 - total precipitation in the last 24 hours
  • last-48 - total precipitation in the last 48 hours
  • last-168 - total precipitation in the last 168 hours (7 days)
  • hourly - total hourly precipitation
  • wind-speed-hourly - average hourly wind speed
  • wind-direction-hourly - average hourly wind direction
  • temperature-hourly - average hourly temperature
Example: last-48

Esri Image Server Integration › query Parameters

apiKey
​string

API key as query parameter. Use for ArcGIS and other clients that cannot send Authorization headers.

Example: YOUR_API_KEY

Esri Image Server Integration › Headers

Authorization
​string

API key as Bearer token. Use this or the apiKey query parameter (required for ArcGIS).

Example: Bearer YOUR_API_KEY

Esri Image Server Integration › Responses

200

Successful Response

No data returned
GET/api/v1/map/{serviceName}/ImageServer
curl --request GET \ --url https://api.precip.ai/api/v1/map/:serviceName/ImageServer
shell
Example Responses
{}
json
application/json

Map Layer Tiles

GET
https://api.precip.ai
/api/v1/map/{serviceName}/ImageServer/tile/{z}/{y}/{x}

Map tiles compatible with most web mapping or GIS tools. Software such as Mapbox, Google Maps, ArcGIS, Leaflet, OpenLayers or QGIS will require an x/y/z url eg https://api.precip.ai/api/v1/map/last-48/ImageServer/tile/{z}/{y}/{x} (or use last-12, last-24, last-168 for other windows). See the examples for more details.

Map Layer Tiles › path Parameters

serviceName
​string · required

The layer or service name.

  • last-12 - total precipitation in the last 12 hours
  • last-24 - total precipitation in the last 24 hours
  • last-48 - total precipitation in the last 48 hours
  • last-168 - total precipitation in the last 168 hours (7 days)
  • hourly - total hourly precipitation
  • wind-speed-hourly - average hourly wind speed
  • wind-direction-hourly - average hourly wind direction
  • temperature-hourly - average hourly temperature
Example: last-48
x
​integer · required

map tile id x

Example: 5
y
​integer · required

map tile id y

Example: 4
z
​integer · required

map tile id z

Example: 3

Map Layer Tiles › query Parameters

apiKey
​string

API key as query parameter for ArcGIS and other clients that cannot send headers.

Example: YOUR_API_KEY
time
​string

,

Example: 1711411200000,1711497600000

Map Layer Tiles › Headers

Authorization
​string

API key as Bearer token. Use this or the apiKey query parameter (required for ArcGIS).

Example: Bearer YOUR_API_KEY

Map Layer Tiles › Responses

200

Successful Response

No data returned
GET/api/v1/map/{serviceName}/ImageServer/tile/{z}/{y}/{x}
curl --request GET \ --url https://api.precip.ai/api/v1/map/:serviceName/ImageServer/tile/:z/:y/:x
shell
Example Responses
{}
text
image/png

Query

GET
https://api.precip.ai
/api/v1/map/{serviceName}/ImageServer/getSamples

Query value of map tiles at point(s).

Query › path Parameters

serviceName
​string · required

The layer or service name.

  • last-12 - total precipitation in the last 12 hours
  • last-24 - total precipitation in the last 24 hours
  • last-48 - total precipitation in the last 48 hours
  • last-168 - total precipitation in the last 168 hours (7 days)
  • hourly - total hourly precipitation
  • wind-speed-hourly - average hourly wind speed
  • wind-direction-hourly - average hourly wind direction
  • temperature-hourly - average hourly temperature
Example: last-48

Query › query Parameters

​object · required

points to query

Example: {"points":[{"0":-97.06138,"1":32.837},{"0":-97.06133,"1":32.836},{"0":-97.06124,"1":32.834},{"0":-97.06127,"1":32.832}],"spatialReference":{"wkid":4326}}
geometryType
​string · required
apiKey
​string

API key as query parameter for ArcGIS and other clients that cannot send headers.

Example: YOUR_API_KEY
time
​string

,

Example: 1711411200000,1711497600000

Query › Headers

Authorization
​string

API key as Bearer token. Use this or the apiKey query parameter (required for ArcGIS).

Example: Bearer YOUR_API_KEY

Query › Responses

GET/api/v1/map/{serviceName}/ImageServer/getSamples
curl --request GET \ --url 'https://api.precip.ai/api/v1/map/:serviceName/ImageServer/getSamples?geometry=%3Cvalue%3E&geometryType=%3Cstring%3E'
shell
Example Responses
{ "samples": [ { "value": 21.5 }, { "value": 21.5 }, { "value": 21.5 }, { "value": 21.5 } ] }
json
application/json

Bulk ExportEmbed Widgets